( function ( $ ) {

	/**
	 * Responsive video
	 */
	function responsiveVideo() {
		$( '.entry, .widget' ).fitVids();
	}

	/**
	 * Sticky social share
	 */
	function stickySocialShare() {
		$( '.post-share' ).theiaStickySidebar( {
			additionalMarginTop: 30
		} );
	}

	/**
	 * Search pop up
	 */
	function menuPopup() {
		$( '.menu-toggle' ).magnificPopup( {
			type: 'inline',
			mainClass: 'popup-fade',
			closeOnBgClick: false,
			closeBtnInside: false
		} );
	}

	/**
	 * Back to top
	 */
	function backToTop() {
		if ( $( '.back-to-top' ).length ) {
			var scrollTrigger = 100,
				backToTop = function() {
					var scrollTop = $( window ).scrollTop();
					if ( scrollTop > scrollTrigger ) {
						$( '.back-to-top' ).addClass( 'show' );
					} else {
						$( '.back-to-top' ).removeClass( 'show' );
					}
				};

			backToTop();
			$( window ).on( 'scroll', function() {
				backToTop();
			} );

			$( '.back-to-top' ).on( 'click', function( e ) {
				e.preventDefault();
				$( 'html, body' ).animate( {
					scrollTop: 0
				}, 700 );
			} );

		}
	}

	/**
	 * Search pop up
	 */
	function searchPopup() {
		$( '.search-toggle' ).magnificPopup( {
			type: 'inline',
			mainClass: 'popup-fade',
			closeOnBgClick: false,
			closeBtnInside: false,
			callbacks: {
				open: function() {
					setTimeout( function() {
						$( '.search-popup input' ).focus();
					}, 1000 );
				}
			}
		} );
	}

	// Document ready
	$( function () {
		responsiveVideo();
		stickySocialShare();
		menuPopup();
		backToTop();
		searchPopup();
	} );

}( jQuery ) );
